﻿@using Microsoft.Extensions.Localization
@inject IStringLocalizer<NotFoundViewComponent> _localizer
@inject NavigationManager _navigationManager

<!--suppress CssUnusedSymbol -->
<style>
    html, body, .mud-layout, .mud-main-content { height: 100%; }
</style>

<MudContainer MaxWidth="MaxWidth.Large" Class="d-flex justify-center align-center" Style="height: 100%; margin-top: -64px;">
    <MudPaper Outlined="false" Elevation="0" Class="pa-10" Style="text-align: center;">
        <MudText Typo="Typo.h4" Style="font-weight: bold; line-height: 0.9;">@_localizer["Нічого не знайдено 😢"]</MudText>
        <MudText Typo="Typo.h6" Class="mt-3" Style="font-weight: normal; line-height: 0.9;"
                 >@_localizer["На жаль, за вказаною вами адресою нічого немає."]</MudText>
        <MudButton Variant="Variant.Outlined" Size="Size.Large" Color="Color.Primary"
                   StartIcon="@Icons.Material.Filled.Home" Class="mt-3"
                   OnClick="@(() => _navigationManager.NavigateTo("/"))">@_localizer["До головної"]</MudButton>
    </MudPaper>
</MudContainer>